import { createPinia } from 'pinia'
import piniaPluginPersistedstate from 'pinia-plugin-persistedstate'

const store = createPinia()
// 加入Pinia储存持久化工具
store.use(piniaPluginPersistedstate)

// 全局注册 store
export function setupStore (app) {
  app.use(store)
}

export { store }
